Subject: bug#14405: 24.3.50; read-regexp-defaults-function

From: Jambunathan K <[email-masked]>
Date: Sun, 22 Dec 2013 03:58:40 +0530

Juri Linkov <[email-masked]> writes:

>> My workflow is M-s o searches for symbol at point.  Your recent commit
>> revno: 115651 closed this behaviour for me.  Just wanted to check
>> whether you overlooked the following diff.
>
> For historical reasons, `M-s o' provides the previous history element as
> the default.  I had no intention to change this default (because I recall
> there were objections to changing the default behavior).  So if you want
> `M-s o' to provide a symbol at point, you can customize
> `read-regexp-defaults-function' to `find-tag-default-as-symbol-regexp'.

The diff attached with my mail indicates what the problem is.  Please
take a second look.